Lucene++ - a full-featured, c++ search engine
API Documentation

Loading...
Searching...
No Matches
Public Member Functions | Data Fields
Lucene::ArrayData< TYPE > Class Template Reference

`#include <Array.h>`

## Public Member Functions

| ArrayData (int32_t size_)
| ~ArrayData ()
void | resize (int32_t size_)

## Data Fields

TYPE * | data
int32_t | size

## Constructor & Destructor Documentation

## ◆ ArrayData()

template<typename TYPE>

Lucene::ArrayData< TYPE >::ArrayData | ( | int32_t | size_ | ) |

inline

References data, and resize().

## ◆ ~ArrayData()

template<typename TYPE>

Lucene::ArrayData< TYPE >::~ArrayData | ( |  | ) |

inline

References resize().

## Member Function Documentation

## ◆ resize()

template<typename TYPE>

void Lucene::ArrayData< TYPE >::resize | ( | int32_t | size_ | ) |

inline

References Lucene::AllocMemory(), data, Lucene::FreeMemory(), and Lucene::ReallocMemory().

Referenced by ArrayData(), and ~ArrayData().

## Field Documentation

## ◆ data

template<typename TYPE>

TYPE* Lucene::ArrayData< TYPE >::data

Referenced by ArrayData(), Lucene::Array< TYPE >::equals(), and resize().

## ◆ size

template<typename TYPE>

int32_t Lucene::ArrayData< TYPE >::size

Referenced by Lucene::Array< TYPE >::equals().

The documentation for this class was generated from the following file:

- Array.h

clucene.sourceforge.net